#ifndef GRAPHICS_HPP
#define GRAPHICS_HPP
#include <glad/glad.c>
// glad must be loaded before GLFW
#include <GLFW/glfw3.h>

#include <iostream>
#include <string>

class ShaderProgram {
public:
  enum Base { Empty, Triangle };
  std::string baseName();
  ShaderProgram(Base base, std::string vertexFile, std::string fragFile);
  int run();

protected:
  unsigned int vertex;
  unsigned int frag;
  Base base;
};
int mainWindow(ShaderProgram* shaderProgramm);
#endif
